<template>
  <div class="subject_list">
    <div v-for="subject of subjects"
    :key="subject.codigo_disciplina"
    class="subject_list_item">

      <div class="subject_list_item_left">
        <div class="subject_list_item_left_code"
          :style="determineBGColor(status)">
          {{subject.codigo_disciplina}}
        </div>
        <div class="subject_list_item_left_name"> {{subject.nome}} </div>
      </div>

      <router-link to="/estrutura"
        class="subject_list_item_info_button"
        @click.native="$store.commit('setActiveSubject', {
          code: subject.codigo_disciplina
        })"
        tag="div">
          &#8505;
      </router-link>
    </div>
  </div>
</template>

<script>
export default {
  props: ['subjects', 'status'],

  methods: {
    determineBGColor(status) {
      if (status === 'planned')
        return `background: #FF9800`;
      return `background: #3F51B5`;
    }
  }
}
</script>

<style lang="scss">
.subject_list_item {
  display: flex;
  flex-flow: row nowrap;
  justify-content: space-between;
  align-items: center;

  background: $medium-color;
  margin-bottom: 1em;
}

.subject_list_item_left {
  display: flex;
  flex-flow: row nowrap;
  justify-content: flex-start;
  align-items: center;
}

.subject_list_item_left_code {
  background: $primary-color;
  color: $light-color;
  padding: 0.7em;
}

.subject_list_item_left_name {
  margin-left: 1rem;
  font-size: 1.2em;
}

.subject_list_item_info_button {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;

  background-color: $light-color;
  color: $dark-color;
  box-shadow: 0.25em 0.25em 0.5em rgba(0, 0, 0, 0.1);

  font-size: 13px;

  border-width: 1px;
  border-color: $dark-color;
  border-radius: 100%;

  width: 1.5rem;
  height: 1.5rem;
  margin-right: 0.5rem;

  user-select: none;
  cursor: pointer;
}
</style>

